return {
  theme = function(state) 
    local t = ( state:itemCount("background") + 1) % 4
    if t == 0 then
      return "white"
    elseif t == 1 then
      return "bright"
    elseif t == 2 then
      return "black"
    else
      return "dark"
    end
  end,
  zones = {
    {
      cursor = "walk",
      visible = function(state) return true end,
      click = function(state) state:giveItem("background") end,
      hint = function(state) return os.date() end,
      10, 10, 90, 10, 90, 90, 10, 90,
    },
    {
      cursor = "walk",
      visible = function(state) return true end,
      click = function(state) end, 
      visual = { "objects/derpy.png", x=45, y=25 },
      340, 233, 538, 214, 538, 387, 369, 409, 
    },
    {
      cursor = "walk",
      visible = function(state) return true end,
      click = function(state) setScene("alley") end, 
      786, 275, 972, 237, 950, 478, 650, 562, 574, 486, 636, 352, 714, 284, 
    },


    {
      cursor = "eye",
      visible = function(state) return true end,
      click = function(state) end, 
      hint = "eye",
      242, 65, 240, 122, 300, 123, 303, 63, 
    },
    {
      cursor = "hand",
      visible = function(state) return true end,
      click = function(state) end, 
      hint = "hand",
      336, 70, 339, 127, 398, 129, 400, 78, 
    },
    {
      cursor = "point",
      visible = function(state) return true end,
      click = function(state) end, 
      hint = "point",
      428, 82, 425, 127, 479, 129, 481, 81, 
    },
    {
      cursor = "walk",
      visible = function(state) return true end,
      click = function(state) end, 
      hint = "walk",
      512, 75, 512, 126, 587, 127, 587, 76, 
    },
    {
      cursor = "click",
      visible = function(state) return true end,
      click = function(state) end, 
      hint = "click",
      608, 85, 607, 119, 653, 119, 655, 89, 
    },

    {
      cursor = "click",
      visible = function(state) return true end,
      click = function(state) state:removeItem("cheese") end, 
      hint = "Take cheese",
      42, 594, 42, 675, 90, 675, 84, 598, 
    },
    {
      cursor = "click",
      visible = true,
      click = function(state) state:giveItem("cheese") end,
      hint = "Give cheese",
      114, 596, 116, 668, 158, 664, 154, 591, 
    },
    {
      cursor = "hand",
      hint = "Bread",
      visual = { "items/bread.png", x=20, y=20 },
      visible = function(state) return state:hasItem("cheese") end,
      click = function(state) 
        state:removeItem("cheese")
        state:giveItem("bread")
      end,
      172, 591, 169, 671, 260, 671, 258, 594, 
    },
  },
}