return {
  zones = {
    { -- theatre entry
      cursor = "walk",
      visible = true,
      click = function() setScene("entryhall") end,
      hint = "Enter the theater",
      1036, 395, 1045, 570, 1279, 581, 1278, 388, 
    },
    { -- walk away
      cursor = "walk",
      visible = true,
      click = function() setScene("alley") end,
      hint = "Go to the alley",
      985, 631, 1279, 658, 1278, 717, 918, 718, 
    },
    { -- aubrey
      ---
      -- Progression for "aubrey-progress"
      -- 0: aubrey sits
      -- 1: aubrey has script
      -- 2: aubrey has zig
      -- 3: default

      cursor = "talk",
      visible = function(state) return not state:hasItem("post-aubrey-accident") end,
      click = function(state, item)
        local p = state:itemCount("aubrey-progress")

        if p == 0 then
          if item == "script" then
            state:removeItem("script")
            startDialog("aubrey-script")
            state:setItemCount("aubrey-progress", 1)
          else
            startDialog("aubrey-init")
          end
        elseif p == 1 then
          if item == "zig-off" then
            startDialog("aubrey-zig")
          elseif item == "zig-on" then
            state:setItemCount("aubrey-progress", 2)
            startDialog("aubrey-fire-zig")
          end
        else
          startDialog(createOneLiner("Hey, buddy.", "aubrey")) 
        end
      end,
      hint = "Aubrey",
      visual = { "objects/aubrey_pose.png", x=-15, y=-100 },
      886, 564, 930, 463, 967, 460, 981, 553, 951, 638, 938, 637, 929, 578, 883, 578, 
    },
  }
}