return {

  ---
  -- Progression for `workshop-progress`:
  -- 0 => fresh board, broken board
  -- 1 => fresh board
  -- 2 => fresh board moved
  -- 3 => fresh board modified
  -- 4 => boards gone
  ---

  zones = {
    {
      cursor = "walk",
      visible = true,
      click = function() setScene("stage") end,
      hint = "Stage",
      502, 625, 67, 667, 46, 719, 626, 718, 
    },
    { -- jigsaw
      cursor = "eye",
      visible = function(state) return state:itemCount("workshop-progress") >= 1 end,
      click = function(state, item)
        startDialog(createOneLiner("The remains of the old backdrop. Maybe we can use it in another play?"))
      end,
      hint = nil,
      visual = { "objects/board-clutter.png", x=-117, y=0 },
      372, 266, 517, 333, 475, 390, 499, 515, 498, 599, 484, 627, 270, 607, 255, 509,
    },
    { -- jigsaw
      cursor = "hand",
      visible = function(state) return not state:hasItem("workshop-grabbed-jigsaw") end,
      click = function(state, item)
        state:giveItem("workshop-grabbed-jigsaw")
        state:giveItem("jigsaw")
      end,
      hint = nil,
      visual = { "objects/jigsaw.png", x=-11, y=-52 },
      1079, 571, 1193, 518, 1276, 593, 1178, 650,
    },
    { -- fresh board
      cursor = function(state) 
        if state:itemCount("workshop-progress") < 1 then
          return "eye"
        else
          return "hand"
        end
      end,
      visible = function(state) return state:itemCount("workshop-progress") < 2 end,
      click = function(state, item)
        if state:itemCount("workshop-progress") == 1 then
          state:setItemCount("workshop-progress", 2)
        else
          startDialog(createOneLiner("Our last reserve of wood."))
        end
      end,
      hint = nil,
      visual = { "objects/board-fresh.png", x=0, y=-32 },
      28, 147, 330, 114, 382, 607, 76, 640,
    },
    { -- broken board
      cursor = "eye",
      visible = function(state) return state:itemCount("workshop-progress") < 1 end,
      click = function(state, item)
        state:setItemCount("workshop-progress", 1)
        state:removeItem("mood")
        -- TODO: Modify the board only after the dialog is done.
        startDialog(createOneLiner("Shit. That board's dead. We can't use it like this.\nBetter remove it before Mr. Castello sees this."))
      end,
      hint = nil,
      visual = { "objects/board-broken.png", x=-5, y=0 },
      441, 172, 731, 173, 710, 718, 569, 718, 430, 626, 
    },
    { -- fresh board, moved
      cursor = "eye",
      visible = function(state) return state:itemCount("workshop-progress") == 2 end,
      click = function(state, item)
        if item == "jigsaw" then
          state:setItemCount("workshop-progress", 3)
          startDialog(createOneLiner("Aaaand that's done. Now let's move the board to the stage."))
        else
          startDialog(createOneLiner("Hm...\nI somehow need to modify the board so it looks like the old one."))
        end
      end,
      hint = nil,
      visual = { "objects/board-fresh-moved.png", x=-5, y=0 },
      441, 172, 731, 173, 710, 718, 569, 718, 430, 626, 
    },
    { -- fixed board
      cursor = "hand",
      visible = function(state) return state:itemCount("workshop-progress") == 3 end,
      click = function(state, item)
        state:setItemCount("workshop-progress", 4)
        state:giveItem("backdrop")
      end,
      hint = nil,
      visual = { "objects/board-fixed.png", x=-5, y=0 },
      441, 172, 731, 173, 710, 718, 569, 718, 430, 626, 
    },
  },
}